Database Independent Abstraction Layer for C: libdbi Programmer's Guide
Prev | Chapter 4. libdbi API Reference | Next

# 4.1. Core Library Functions

## 4.1.1. dbi_initialize

``int dbi_initialize`(const char *driverdir);`

Locates all available database drivers and loads them into memory.

Arguments

  `driverdir`: The directory to search for drivers. If NULL, DBI_DRIVER_DIR (defined at compile time) will be used instead.

Returns

  The number of drivers successfully loaded, or -1 if there was an error.

## 4.1.2. dbi_shutdown

``void dbi_shutdown`(void);`

Frees all loaded drivers and terminates the DBI system. You should close each connection you opened before shutting down, but libdbi will clean up after you if you don't.

## 4.1.3. dbi_version

``const char *dbi_version`(void);`

Requests the version of libdbi as a read-only string. The calling program must not attempt to free the returned string.

Returns

  A string containing the library's name and version.

Prev | Home | Next
libdbi API Reference | Up | Driver Infrastructure